be.fgov.ehealth.idsupport.protocol.v2

## Class VerifyIdResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.idsupport.protocol.v2.VerifyIdResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:52:37+01:00",
                 comments="JAXB RI v2.3.7")
      public class VerifyIdResponse
      extends StatusResponseType
      implements Serializable

  Structure of response message to verify the combination of person SSIN and its support card number

  Java class for VerifyIdResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="VerifyIdResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:idsupport:core:v2}ValidationResult" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerifyIdResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationResult` | `getValidationResult()` Gets the value of the validationResult property.
    `void` | `setValidationResult(ValidationResult value)` Sets the value of the validationResult property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VerifyIdResponse

          public VerifyIdResponse()

  - ### Method Detail

    - #### getValidationResult

          public ValidationResult getValidationResult()

      Gets the value of the validationResult property.
      Returns:
        possible object is `ValidationResult`

    - #### setValidationResult

          public void setValidationResult(ValidationResult value)

      Sets the value of the validationResult property.
      Parameters:
        `value` - allowed object is `ValidationResult`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.